[libgdata] build: Eliminate dependency on gnome-common



commit 17364db93e6fc8095df9eea4bf127d8f66036fa1
Author: Philip Withnall <philip tecnocode co uk>
Date:   Sun Jun 22 11:32:14 2014 +0100

    build: Eliminate dependency on gnome-common
    
    Remove our usage of gnome-autogen.sh by inlining it and deleting
    irrelevant stuff. This removes libgdata’s dependency on gnome-common,
    which will make it a little easier to build.

 autogen.sh |   36 +++++++++++++++++++++++++++++-------
 1 files changed, 29 insertions(+), 7 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index e3866bc..cff13bf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,13 +7,35 @@ test -z "$srcdir" && srcdir=.
 PKG_NAME=libgdata
 
 (test -f $srcdir/configure.ac) || {
-    echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
-    exit 1
-}
-
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from GNOME Git"
+       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
        exit 1
 }
 
-REQUIRED_PKG_CONFIG_VERSION=0.17.1 REQUIRED_AUTOMAKE_VERSION=1.9 REQUIRED_GTK_DOC_VERSION=1.14 
USE_GNOME2_MACROS=1 . gnome-autogen.sh --enable-gtk-doc "$@"
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+       echo "If you wish to pass any to it, please specify them on the" >&2
+       echo \`$0\'" command line." >&2
+       echo "" >&2
+fi
+
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+if [ -n "m4" ]; then
+       mkdir -p m4
+fi
+
+set -x
+
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if test x$NOCONFIGURE = x; then
+       $srcdir/configure "$@" && \
+       echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+else
+       echo "Skipping configure process."
+fi
+
+set +x


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]